import { ImageList } from "./ImageList";
import { ProductNavigatorDataList } from "./ProductNavigatorDataList";
import { LogisticDataList } from "./LogisticDataList";
import { ExtInfoCodes } from "./ExtInfoCodes";

/**
 * ProductComplete
 * @targetNSAlias `tns`
 * @targetNamespace `http://www.elinkx.cz`
 */
export interface ProductComplete {
    /** s:int */
    ProId?: string;
    /** s:string */
    Code?: string;
    /** s:string */
    Name?: string;
    /** s:decimal */
    YourPrice?: string;
    /** s:decimal */
    YourPriceWithFees?: string;
    /** s:string */
    CommodityCode?: string;
    /** s:decimal */
    GarbageFee?: string;
    /** s:decimal */
    AuthorFee?: string;
    /** s:decimal */
    ValuePack?: string;
    /** s:decimal */
    ValuePackQty?: string;
    /** s:string */
    Warranty?: string;
    /** s:string */
    CommodityName?: string;
    /** s:decimal */
    DealerPrice?: string;
    /** s:decimal */
    EndUserPrice?: string;
    /** s:decimal */
    Vat?: string;
    /** s:string */
    PartNumber?: string;
    /** s:boolean */
    OnStock?: string;
    /** s:string */
    OnStockText?: string;
    /** s:string */
    Status?: string;
    /** s:string */
    ImageUrl?: string;
    /** s:string */
    ProducerName?: string;
    /** s:string */
    RateOfDutyCode?: string;
    /** s:string */
    EANCode?: string;
    /** s:string */
    NameB2C?: string;
    /** s:string */
    DescriptionShort?: string;
    /** s:string */
    Description?: string;
    /** s:boolean */
    IsTop?: string;
    /** s:unsignedByte */
    InfoCode?: string;
    /** s:string */
    IndexSort1?: string;
    /** s:int */
    IndexCode1?: string;
    /** s:int */
    IndexOrder1?: string;
    /** s:boolean */
    IndexImplicit1?: string;
    /** s:string */
    IndexSort2?: string;
    /** s:int */
    IndexCode2?: string;
    /** s:int */
    IndexOrder2?: string;
    /** s:boolean */
    IndexImplicit2?: string;
    /** s:string */
    WarrantyTerm?: string;
    /** s:string */
    WarrantyUnit?: string;
    /** s:string */
    PartNumber2?: string;
    /** s:dateTime */
    DateAvailible?: string;
    /** s:decimal */
    DealerPrice1?: string;
    /** s:string */
    Unit?: string;
    /** s:decimal */
    OnStockCount?: string;
    /** s:int */
    ImgCount?: string;
    /** s:dateTime */
    ImgLastChanged?: string;
    /** s:string */
    ProducerCode?: string;
    /** s:int */
    CategoryCode?: string;
    /** s:boolean */
    B2C?: string;
    /** s:decimal */
    B2FPrice?: string;
    /** ImageList */
    ImageList?: ImageList;
    /** ProductNavigatorDataList */
    ProductNavigatorDataList?: ProductNavigatorDataList;
    /** LogisticDataList */
    LogisticDataList?: LogisticDataList;
    /** s:string */
    RCStatus?: string;
    /** s:string */
    RCCode?: string;
    /** s:boolean */
    IsPremium?: string;
    /** ExtInfoCodes */
    ExtInfoCodes?: ExtInfoCodes;
}
