import { GetProductDetail } from "../definitions/GetProductDetail";
import { GetProductDetailResponse } from "../definitions/GetProductDetailResponse";
import { CreateNewOrder } from "../definitions/CreateNewOrder";
import { CreateNewOrderResponse } from "../definitions/CreateNewOrderResponse";
import { CreateNewOrderCustomer } from "../definitions/CreateNewOrderCustomer";
import { CreateNewOrderCustomerResponse } from "../definitions/CreateNewOrderCustomerResponse";
import { CreateNewOrderXml } from "../definitions/CreateNewOrderXml";
import { CreateNewOrderXmlResponse } from "../definitions/CreateNewOrderXmlResponse";
import { GetProductCatalogueStockDownloadXml } from "../definitions/GetProductCatalogueStockDownloadXml";
import { GetProductCatalogueStockDownloadXmlResponse } from "../definitions/GetProductCatalogueStockDownloadXmlResponse";
import { GetProductCatalogueShortDownloadXml } from "../definitions/GetProductCatalogueShortDownloadXml";
import { GetProductCatalogueShortDownloadXmlResponse } from "../definitions/GetProductCatalogueShortDownloadXmlResponse";
import { GetTransportationList } from "../definitions/GetTransportationList";
import { GetTransportationListResponse } from "../definitions/GetTransportationListResponse";
import { GetTransportationListCustomer } from "../definitions/GetTransportationListCustomer";
import { GetTransportationListCustomerResponse } from "../definitions/GetTransportationListCustomerResponse";
import { GetProductCatalogueDownloadXml } from "../definitions/GetProductCatalogueDownloadXml";
import { GetProductCatalogueDownloadXmlResponse } from "../definitions/GetProductCatalogueDownloadXmlResponse";
import { GetProductCatalogueDownloadZip } from "../definitions/GetProductCatalogueDownloadZip";
import { GetProductCatalogueDownloadZipResponse } from "../definitions/GetProductCatalogueDownloadZipResponse";
import { GetProductInformationList } from "../definitions/GetProductInformationList";
import { GetProductInformationListResponse } from "../definitions/GetProductInformationListResponse";
import { GetProductSuperCategoryList } from "../definitions/GetProductSuperCategoryList";
import { GetProductSuperCategoryListResponse } from "../definitions/GetProductSuperCategoryListResponse";
import { GetProductCategoryList } from "../definitions/GetProductCategoryList";
import { GetProductCategoryListResponse } from "../definitions/GetProductCategoryListResponse";
import { GetProductCategoryAttributeList } from "../definitions/GetProductCategoryAttributeList";
import { GetProductCategoryAttributeListResponse } from "../definitions/GetProductCategoryAttributeListResponse";
import { GetProductCategoryAttributeValueList } from "../definitions/GetProductCategoryAttributeValueList";
import { GetProductCategoryAttributeValueListResponse } from "../definitions/GetProductCategoryAttributeValueListResponse";
import { GetNavigator } from "../definitions/GetNavigator";
import { GetNavigatorResponse } from "../definitions/GetNavigatorResponse";
import { GetProductCommodityList } from "../definitions/GetProductCommodityList";
import { GetProductCommodityListResponse } from "../definitions/GetProductCommodityListResponse";
import { GetProductProducerList } from "../definitions/GetProductProducerList";
import { GetProductProducerListResponse } from "../definitions/GetProductProducerListResponse";
import { GetProductIndexTree1 } from "../definitions/GetProductIndexTree1";
import { GetProductIndexTree1Response } from "../definitions/GetProductIndexTree1Response";
import { GetProductIndexTree2 } from "../definitions/GetProductIndexTree2";
import { GetProductIndexTree2Response } from "../definitions/GetProductIndexTree2Response";
import { GetProductCatalogueFullDownloadXmlExt } from "../definitions/GetProductCatalogueFullDownloadXmlExt";
import { GetProductCatalogueFullDownloadXmlExtResponse } from "../definitions/GetProductCatalogueFullDownloadXmlExtResponse";
import { GetProductCatalogueFullDownloadXml } from "../definitions/GetProductCatalogueFullDownloadXml";
import { GetProductCatalogueFullDownloadXmlResponse } from "../definitions/GetProductCatalogueFullDownloadXmlResponse";
import { GetProductCatalogueFullNavFilterDownloadXml } from "../definitions/GetProductCatalogueFullNavFilterDownloadXml";
import { GetProductCatalogueFullNavFilterDownloadXmlResponse } from "../definitions/GetProductCatalogueFullNavFilterDownloadXmlResponse";
import { GetProductCatalogueFullNavFilterSoapDownloadXml } from "../definitions/GetProductCatalogueFullNavFilterSoapDownloadXml";
import { GetProductCatalogueFullNavFilterSoapDownloadXmlResponse } from "../definitions/GetProductCatalogueFullNavFilterSoapDownloadXmlResponse";
import { GetProductCatalogueFullDownloadXmlWithTransform } from "../definitions/GetProductCatalogueFullDownloadXmlWithTransform";
import { GetProductCatalogueFullDownloadXmlWithTransformResponse } from "../definitions/GetProductCatalogueFullDownloadXmlWithTransformResponse";
import { GetProductCatalogueFullDownloadZip } from "../definitions/GetProductCatalogueFullDownloadZip";
import { GetProductCatalogueFullDownloadZipResponse } from "../definitions/GetProductCatalogueFullDownloadZipResponse";
import { GetProductCatalogueFullDownloadZipExt } from "../definitions/GetProductCatalogueFullDownloadZipExt";
import { GetProductCatalogueFullDownloadZipExtResponse } from "../definitions/GetProductCatalogueFullDownloadZipExtResponse";
import { GetProductCatalogueFullPremiumDownloadXml } from "../definitions/GetProductCatalogueFullPremiumDownloadXml";
import { GetProductCatalogueFullPremiumDownloadXmlResponse } from "../definitions/GetProductCatalogueFullPremiumDownloadXmlResponse";
import { GetProductRelationList } from "../definitions/GetProductRelationList";
import { GetProductRelationListResponse } from "../definitions/GetProductRelationListResponse";
import { ChangeDocument } from "../definitions/ChangeDocument";
import { ChangeDocumentResponse } from "../definitions/ChangeDocumentResponse";

export interface ServiceSoap {
    getProductDetail(getProductDetail: GetProductDetail, callback: (err: any, result: GetProductDetailResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    createNewOrder(createNewOrder: CreateNewOrder, callback: (err: any, result: CreateNewOrderResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    createNewOrderCustomer(createNewOrderCustomer: CreateNewOrderCustomer, callback: (err: any, result: CreateNewOrderCustomerResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    createNewOrderXML(createNewOrderXml: CreateNewOrderXml, callback: (err: any, result: CreateNewOrderXmlResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    getProductCatalogueStockDownloadXML(getProductCatalogueStockDownloadXml: GetProductCatalogueStockDownloadXml, callback: (err: any, result: GetProductCatalogueStockDownloadXmlResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    getProductCatalogueShortDownloadXML(getProductCatalogueShortDownloadXml: GetProductCatalogueShortDownloadXml, callback: (err: any, result: GetProductCatalogueShortDownloadXmlResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    getTransportationList(getTransportationList: GetTransportationList, callback: (err: any, result: GetTransportationListResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    getTransportationListCustomer(getTransportationListCustomer: GetTransportationListCustomer, callback: (err: any, result: GetTransportationListCustomerResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    getProductCatalogueDownloadXML(getProductCatalogueDownloadXml: GetProductCatalogueDownloadXml, callback: (err: any, result: GetProductCatalogueDownloadXmlResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    getProductCatalogueDownloadZIP(getProductCatalogueDownloadZip: GetProductCatalogueDownloadZip, callback: (err: any, result: GetProductCatalogueDownloadZipResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    getProductInformationList(getProductInformationList: GetProductInformationList, callback: (err: any, result: GetProductInformationListResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    getProductSuperCategoryList(getProductSuperCategoryList: GetProductSuperCategoryList, callback: (err: any, result: GetProductSuperCategoryListResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    getProductCategoryList(getProductCategoryList: GetProductCategoryList, callback: (err: any, result: GetProductCategoryListResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    getProductCategoryAttributeList(getProductCategoryAttributeList: GetProductCategoryAttributeList, callback: (err: any, result: GetProductCategoryAttributeListResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    getProductCategoryAttributeValueList(getProductCategoryAttributeValueList: GetProductCategoryAttributeValueList, callback: (err: any, result: GetProductCategoryAttributeValueListResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    getNavigator(getNavigator: GetNavigator, callback: (err: any, result: GetNavigatorResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    getProductCommodityList(getProductCommodityList: GetProductCommodityList, callback: (err: any, result: GetProductCommodityListResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    getProductProducerList(getProductProducerList: GetProductProducerList, callback: (err: any, result: GetProductProducerListResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    getProductIndexTree1(getProductIndexTree1: GetProductIndexTree1, callback: (err: any, result: GetProductIndexTree1Response, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    getProductIndexTree2(getProductIndexTree2: GetProductIndexTree2, callback: (err: any, result: GetProductIndexTree2Response, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    getProductCatalogueFullDownloadXMLExt(getProductCatalogueFullDownloadXmlExt: GetProductCatalogueFullDownloadXmlExt, callback: (err: any, result: GetProductCatalogueFullDownloadXmlExtResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    getProductCatalogueFullDownloadXML(getProductCatalogueFullDownloadXml: GetProductCatalogueFullDownloadXml, callback: (err: any, result: GetProductCatalogueFullDownloadXmlResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    getProductCatalogueFullNavFilterDownloadXML(getProductCatalogueFullNavFilterDownloadXml: GetProductCatalogueFullNavFilterDownloadXml, callback: (err: any, result: GetProductCatalogueFullNavFilterDownloadXmlResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    getProductCatalogueFullNavFilterSOAPDownloadXML(getProductCatalogueFullNavFilterSoapDownloadXml: GetProductCatalogueFullNavFilterSoapDownloadXml, callback: (err: any, result: GetProductCatalogueFullNavFilterSoapDownloadXmlResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    getProductCatalogueFullDownloadXMLWithTransform(getProductCatalogueFullDownloadXmlWithTransform: GetProductCatalogueFullDownloadXmlWithTransform, callback: (err: any, result: GetProductCatalogueFullDownloadXmlWithTransformResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    getProductCatalogueFullDownloadZIP(getProductCatalogueFullDownloadZip: GetProductCatalogueFullDownloadZip, callback: (err: any, result: GetProductCatalogueFullDownloadZipResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    getProductCatalogueFullDownloadZIPExt(getProductCatalogueFullDownloadZipExt: GetProductCatalogueFullDownloadZipExt, callback: (err: any, result: GetProductCatalogueFullDownloadZipExtResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    getProductCatalogueFullPremiumDownloadXML(getProductCatalogueFullPremiumDownloadXml: GetProductCatalogueFullPremiumDownloadXml, callback: (err: any, result: GetProductCatalogueFullPremiumDownloadXmlResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    getProductRelationList(getProductRelationList: GetProductRelationList, callback: (err: any, result: GetProductRelationListResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
    changeDocument(changeDocument: ChangeDocument, callback: (err: any, result: ChangeDocumentResponse, rawResponse: any, soapHeader: any, rawRequest: any) => void): void;
}
